%global srcname rpmautospec_koji
%global canonicalname rpmautospec-koji

Name: python-%{canonicalname}
Version: 0.4.0
Release:    1%{?dist}
Summary: Koji plugin for packages using rpmautospec

License: MIT
URL: https://github.com/fedora-infra/%{canonicalname}
Source0: https://github.com/fedora-infra/%{canonicalname}/releases/download/%{version}/%{srcname}-%{version}.tar.gz
BuildArch: noarch
BuildRequires: python3-devel >= 3.9.0
BuildRequires: python3dist(pytest)
BuildRequires: python3dist(pytest-cov)
BuildRequires: sed

%generate_buildrequires
%pyproject_buildrequires

%global _description %{expand:
A Koji plugin for generating RPM releases and changelogs with rpmautospec.}

%description %_description

%package -n python3-%{canonicalname}
Summary: %{summary}
Provides: koji-builder-plugin-rpmautospec = %{version}-%{release}
Requires: koji-builder-plugins
%if %{?ocs}
Requires: opencloudos-rpm-config
%else
Requires: tencentos-rpm-config
%endif

%description -n python3-%{canonicalname} %{_description}

%prep
%autosetup -n %{srcname}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}
sed -i -e 's|^\(.*/LICENSE\)|%%license \1|g' %{pyproject_files}

mkdir -p  %{buildroot}%{_prefix}/lib/koji-builder-plugins/
cat << EOF > %{buildroot}%{_prefix}/lib/koji-builder-plugins/rpmautospec_builder.py
from rpmautospec_koji.rpmautospec_builder import process_distgit_cb  # noqa: F401
EOF

%py_byte_compile %{python3} %{buildroot}%{_prefix}/lib/koji-builder-plugins/

%check
%pytest

%files -n python3-%{canonicalname} -f %{pyproject_files}
%{_prefix}/lib/koji-builder-plugins/*

%changelog
* Fri Jul 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.0-1
- initial build
